// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#ifndef ZONEITEM_H
#define ZONEITEM_H

#include <QWidget>
#include <QObject>
#include <QLabel>
#include <QPushButton>

class ZoneItem : public QWidget
{
	Q_OBJECT

public:
	explicit ZoneItem(const QString &zoneName, QWidget *parent = Q_NULLPTR);
	~ZoneItem();

	void set_temperature_value(double val);
	void set_target_temperature(double val);
	void set_hygro_value(double val);

private:
	QPushButton m_zoneNameBtn;
	QPushButton m_temperatureBtn;
	QPushButton m_hygroBtn;

	void refresh(void);

	double m_temperature_value;
	double m_hygro_value;
	double m_target_temperature;
};

#endif // ZONEITEM_H

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
